Subject: Re: [PATCH] git-svn now reads settings even if called in subdirectory

From: Eric Wong <[email-masked]>
Date: Wed, 28 Nov 2007 23:41:32 -0800

Gustaf Hendeby <[email-masked]> wrote:
> Previously, git-svn first read the .git/config file for settings as if
> current working directory was the repository top-directory, and after
> that made sure to cd into top-directory.  The result was a silent
> failur to read configuration settings.  This patch changes the order
> these two things are done.
> 
> Signed-off-by: Gustaf Hendeby <[email-masked]>
> 
> ---
> 
> This fix seems a bit too obvious, which makes me think I missed
> something conceptual here.  However, the patch passes "make test" and
> "make full-svn-test", and the problems I had with the svn.authorsfile
> setting not being honored while fetching from a subdirectory are gone.

Thanks Gustaf,

Seems right to me (note: I never use the authors file feature myself).

Acked-by: Eric Wong <[email-masked]>

-- 
Eric Wong